# Table of contents

* [Introduction](README.md)

## Running Tarmac

* [Configuration](running-tarmac/configuration.md)
  * [Redis](running-tarmac/redis.md)
  * [Cassandra](running-tarmac/cassandra.md)
* Datastores
  * [Key:Value](running-tarmac/kvstore.md)
  * [SQL](running-tarmac/sql.md)
* [Logging](running-tarmac/logging.md)
* [Monitoring](running-tarmac/metrics.md)
* [Troubleshooting Performance](running-tarmac/profiling.md)

## WASM Functions

* [Supported Languages](wasm-functions/supported-languages.md)
* [Go](wasm-functions/go.md)
* [Rust](wasm-functions/rust.md)

## Callback Functions

* [Callbacks](callback-functions/callbacks.md)
* [Key:Value Datastore](callback-functions/key-value-store.md)
* [HTTP Client](callback-functions/http-call.md)
* [Logger](callback-functions/logger.md)
* [Metrics](callback-functions/metrics.md)
* [SQL Datastore](callback-functions/sql.md)

## Developer Resources

* [Toolkit](developers/toolkit.md)
* [GitHub](https://github.com/madflojo/tarmac)

